## org.codehaus.groovy.tools.shell
Class IO.Verbosity

    java.lang.Object
      org.codehaus.groovy.tools.shell.IO.Verbosity

Enclosing class:
  IO

    public static final class IO.Verbosity

extends Object

Field Summary
`static IO.Verbosity` `DEBUG`
`static IO.Verbosity` `INFO`
`String` `name`
`static IO.Verbosity` `QUIET`
`static IO.Verbosity` `VERBOSE`

Method Summary
`static IO.Verbosity` `forName(String name)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### QUIET

    public static final IO.Verbosity QUIET

### INFO

    public static final IO.Verbosity INFO

### VERBOSE

    public static final IO.Verbosity VERBOSE

### DEBUG

    public static final IO.Verbosity DEBUG

### name

    public final String name

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### forName

    public static IO.Verbosity forName(String name)

Copyright © 2003-2008 The Codehaus. All rights reserved.